{ config, values, ... }:
{
  services.nginx = {
    enable = true;
    enableReload = true;

    clientMaxBodySize = "100m";

    recommendedProxySettings = true;
    recommendedTlsSettings = true;
    recommendedGzipSettings = true;
    recommendedOptimisation = true;

    virtualHosts."cloud.feal.no".default = true;
  };

  networking.firewall.allowedTCPPorts = [ 80 443 ];

  /* security.acme = { */
  /*   acceptTerms = true; */
  /*   email = "felix@albrigtsen.it"; */
  /* }; */
}
